%global momorel 4
#%define __libtoolize :

Summary: library for using arbitrary fonts in OpenGL applications
Name: ftgl
Version: 2.1.2
Release: %{momorel}m
Group: Development/Libraries
License: see "license.txt"
URL: http://homepages.paradise.net.nz/henryj/code/index.html#FTGL
%NoSource 0 http://opengl.geek.nz/ftgl/ftgl-2.1.2.tar.gz 3eabec9ad37371c4d139408c7ffd2429
Patch0: http://uniside.s37.xrea.com/file/ftgl207-blender.patch
Patch1: ftgl-2.07-destdir.patch
Patch2: ftgl-2.1.2-gcc41.patch
Requires: freetype2 glut mesa-libGL, mesa-libGLU
BuildRequires: freetype2-devel, glut-devel, doxygen >= 1.3.4-2m
BuildRequires: mesa-libGL-devel, mesa-libGLU-devel
BuildRequires: libICE-devel, libSM-devel, libX11-devel
BuildRequires: libXext-devel, libXmu-devel
BuildRequires: gcc-c++ >= 3.4.1-1m
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
FTGL is a free, open source library to enable developers to use arbitrary 
fonts in their OpenGL (www.opengl.org) applications.
Unlike other OpenGL font libraries FTGL uses standard font file formats so 
doesn't need a preprocessing step to convert the high quality font data into 
a lesser quality, proprietary format.
FTGL uses the Freetype (www.freetype.org) font library to open and 'decode' 
the fonts. It then takes that output and stores it in a format most efficient 
for OpenGL rendering. 
#'

%prep
%setup -q -n FTGL
%patch1 -p1 -b .orig
%patch2 -p1 -b .gcc41

%build
pushd unix
%if %{_lib} == "lib64"  
%configure --with-gl-lib="-L/usr/X11R6/lib64 -lX11 -lXext" 
%else
%configure 
%endif
%make

popd

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
pushd unix
make DESTDIR=%{buildroot} install
popd

# docs
pushd docs
tar zxf html.tar.gz
popd

# remove
%{__rm} -rf %{buildroot}%{_docdir}/ftgl

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING.txt README.txt HISTORY.txt license.txt
%doc docs/FTGL.html docs/FTGL_1_3.gif docs/images
%doc docs/html
%{_bindir}/*
%{_includedir}/*
%{_libdir}/lib*
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue May 23 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.1.2-4m)
- delete duplicated dir

* Sat Feb 18 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (2.1.2-3m)
- add gcc41 patch
-- Patch2: ftgl-2.1.2-gcc41.patch

* Mon Feb  6 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.1.2-2m)
- revised spec file

* Sun Feb  5 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.1.2-1m)
- update 2.1.2
- add configure argument for x86_64

* Thu Dec  2 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0.11-1m)
- update 2.0.11
- remove patch0(ftgl207-blender.patch)

* Fri Aug 13 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.07-4m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++

* Tue Jun  1 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.07-3m)
- no nosrc
- - with latest 2.0.9, a build of blender failes

* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (2.07-2m)
- revised spec for enabling rpm 4.2.

* Wed Jan 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.07-1m)
- first import to Momonga
